<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Main</title><link href="ocean.css" rel="stylesheet" type="text/css" title="Ocean" /><script src="haddock-util.js" type="text/javascript"></script><script type="text/javascript">//<![CDATA[
window.onload = function () {pageLoad();setSynopsis("mini_Main.html");};
//]]>
</script></head><body><div id="package-header"><ul class="links" id="page-menu"><li><a href="index.html">Contents</a></li><li><a href="doc-index.html">Index</a></li></ul><p class="caption empty">&nbsp;</p></div><div id="content"><div id="module-header"><table class="info"><tr><th>Safe Haskell</th><td>Safe-Inferred</td></tr></table><p class="caption">Main</p></div><div id="description"><p class="caption">Description</p><div class="doc"><p>Descri&#231;&#227;o      : Bomberman
</p><p>Autores        :   Jo&#227;o Pedro Machado Vila&#231;a, a82339<code>alunos.uminho.pt e Jo&#227;o Nuno Alves Lopes, a80397</code>alunos.uminho.pt
</p><p>Acompanhamento : <a href="http://di.uminho.pt/">Departamento de Inform&#225;tica da UMinho</a>
</p><p>Bot que se movimenta em fun&#231;&#227;o do estado de jogo independentemente de um utilizador humano.
</p></div></div><div id="synopsis"><p id="control.syn" class="caption expander" onclick="toggleSection('syn')">Synopsis</p><ul id="section.syn" class="hide" onclick="toggleSection('syn')"><li class="src short"><a href="#v:main">main</a> :: IO ()</li><li class="src short"><a href="#v:inDanger">inDanger</a> :: Mapa -&gt; Position -&gt; Bool</li><li class="src short"><a href="#v:bot">bot</a> :: Mapa -&gt; Int -&gt; Int -&gt; Maybe Char</li><li class="src short"><a href="#v:foge">foge</a> :: Mapa -&gt; Position -&gt; Maybe Char</li><li class="src short"><a href="#v:centra">centra</a> :: Mapa -&gt; Position -&gt; Maybe Char</li></ul></div><div id="interface"><h1>Documentation</h1><div class="top"><p class="src"><a name="v:main" class="def">main</a> :: IO ()</p><div class="doc"><p>Faz um conjunto de movimentos dependendo do estado de jogo para tentar fugir a bombas colocadas pelos outros jogadores e tentando
colocar bombas para se movimentar no mapa e para tentar ser o &#250;nico sobrevivente.
Tenta escapar &#224; espiral colocando-se no centro do mapa
</p></div></div><div class="top"><p class="src"><a name="v:inDanger" class="def">inDanger</a></p><div class="subs arguments"><p class="caption">Arguments</p><table><tr><td class="src">:: Mapa</td><td class="doc"><p>No Estado Atual
</p></td></tr><tr><td class="src">-&gt; Position</td><td class="doc"><p>Nesta posi&#231;&#227;o est&#225; ou estaria em perigo?
</p></td></tr><tr><td class="src">-&gt; Bool</td><td class="doc"><p>Ter&#225; de se desviar? Sim ou N&#227;o
</p></td></tr></table></div><div class="doc"><p>Verifica a situa&#231;&#227;o atual do jogador ou se efetuando um movimento para um local ficar&#225; em perigo.
</p></div></div><div class="top"><p class="src"><a name="v:bot" class="def">bot</a></p><div class="subs arguments"><p class="caption">Arguments</p><table><tr><td class="src">:: Mapa</td><td class="doc"><p>Recebe as informa&#231;&#245;es do jogo
</p></td></tr><tr><td class="src">-&gt; Int</td><td class="doc"><p>Indica&#231;&#227;o de identidade do nosso jogador
</p></td></tr><tr><td class="src">-&gt; Int</td><td class="doc"><p>Tempo para o final do Jogo
</p></td></tr><tr><td class="src">-&gt; Maybe Char</td><td class="doc"><p>Movimento a efetuar, Up, Down, Left Right or Nothing
</p></td></tr></table></div><div class="doc"><p>Fun&#231;&#227;o principal que decide qual a a&#231;&#227;o do bot
</p></div></div><div class="top"><p class="src"><a name="v:foge" class="def">foge</a></p><div class="subs arguments"><p class="caption">Arguments</p><table><tr><td class="src">:: Mapa</td><td class="doc"><p>Recebe as informa&#231;&#245;es do jogo
</p></td></tr><tr><td class="src">-&gt; Position</td><td class="doc"><p>A posi&#231;&#227;o do jogador
</p></td></tr><tr><td class="src">-&gt; Maybe Char</td><td class="doc"><p>Ordena um movimento
</p></td></tr></table></div><div class="doc"><p>Em caso de perigo de explos&#227;o de bomba move o jogador
</p></div></div><div class="top"><p class="src"><a name="v:centra" class="def">centra</a></p><div class="subs arguments"><p class="caption">Arguments</p><table><tr><td class="src">:: Mapa</td><td class="doc"><p>Recebe as informa&#231;&#245;es do jogo
</p></td></tr><tr><td class="src">-&gt; Position</td><td class="doc"><p>Posi&#231;&#227;o do jogador
</p></td></tr><tr><td class="src">-&gt; Maybe Char</td><td class="doc"><p>Indica dire&#231;&#227;o do centro
</p></td></tr></table></div><div class="doc"><p>Em caso de seguran&#231;a ou aproxima&#231;&#227;o do fim, centra-se no mapa desviando-se da espiral
</p></div></div></div></div><div id="footer"><p>Produced by <a href="http://www.haskell.org/haddock/">Haddock</a> version 2.13.2</p></div></body></html>